{% extends 'partials/base.html.twig' %}

{% block content %}
    {% if page.header.showcase %}
        {% set background_image = page.media.images|randomize|first %}
        <div class="showcase" {% if background_image %}style="background-image: url({{ background_image.url }});"{% endif %}>
        </div>
    {% endif %}

    {% block events %}
    	{% include 'partials/event-bar.html.twig' %}
  	{% endblock %}

    <div class="content bg-bright">
      {{ page.content }}
      {% set index = 1 %}
		{% set feed_items = [] %}
		{% for name, feed in twig_feeds %}
		    {% for item in feed.items %}
		        {% set index = index + 1 %}
		        {% set item = item|merge({ 'retrievedTitle': feed.title }) %}
		        {% set item = item|merge({ 'feedName': feed.name }) %}
		        {% set item = item|merge({ 'sortDate': datetools.parseDate(item.date.date|date('ymd'))~datetools.parseDate(item.date.date|date('Hi')) }) %}
		        {% set feed_items = feed_items|merge({ (index): (item) }) %}
		    {% endfor %}
		{% endfor %}
		{% if uri.param('page') %}
		    {% set currentPage = uri.param('page') %}
		{% else %}
		    {% set currentPage = 1 %}
		{% endif %}
		{% set perPage = 20 %}
		{% set totalPages = (feed_items|length / perPage)|round(0, 'ceil') %}
		{% set start = currentPage * perPage - perPage %}
		{% set paginationLimit = 4 %}

		{% for index, item in feed_items|sort_by_key('sortDate')|reverse|slice(start, perPage) %}
		
		<div class="card card-style">
		    <a href="{{ item.url }}">{{ item.feedName }}: <h5>{{ item.title }}</h5></a>
		    <time>{{ datetools.parseDate(item.date.date)|date('d-m-y H:i') }}</time>
		    <p>{{ item.content }}</p>
		</div>
		{% endfor %}

		{% if totalPages > 1 %}
		    <ul class="pagination">
		        <li class="page-item {% if currentPage <= 1 %}disabled{% endif %}">
		            <a href="{{ page.url }}/page:{{ 1 }}">First</a>
		        </li>
		        <li class="page-item {% if currentPage <= 1 %}disabled{% endif %}">
		            <a href="{{ page.url }}/page:{{ currentPage - 1 }}">Previous</a>
		        </li>
		        {% for i in 1..totalPages %}
		            {% if (currentPage - paginationLimit) - loop.index == 0 %}
		                <li class="page-item">
		                    <span>&hellip;</span>
		                </li>
		            {% elseif (currentPage + paginationLimit) - loop.index == 0 %}
		                <li class="page-item">
		                    <span>&hellip;</span>
		                </li>
		            {% elseif (currentPage - paginationLimit) - loop.index > 0 %}
		            {% elseif (currentPage + paginationLimit) - loop.index < 0 %}
		            {% else %}
		                <li class="page-item {% if currentPage == loop.index  %} active{% endif %}">
		                    <a href="{{ page.url }}/page:{{ loop.index }}">{{ loop.index }}</a>
		                </li>
		            {% endif %}
		        {% endfor %}
		        <li class="page-item {% if currentPage >= totalPages %}disabled{% endif %}">
		            <a href="{{ page.url }}/page:{{ currentPage + 1 }}">Next</a>
		        </li>
		        <li class="page-item {% if currentPage >= totalPages %}disabled{% endif %}">
		            <a href="{{ page.url }}/page:{{ totalPages }}">Last</a>
		        </li>
		    </ul>
		{% endif %}

    </div>
{% endblock %}